/***************************************************************************
 *   QGame++                                                               *
 *   =======                                                               *
 *   A Quantum Gate And Measurement Emulator.                              *
 *                                                                         *
 *   Copyright (C) 2003/04 by Manuel Nickschas                             *
 *   <qgame-devel@nickschas.de>                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "qgerror.h"
#include <string>

using namespace qgame;
using namespace std;

Error::Error(int code) {
  string str;
  switch(code) {
  case E_OK: 
    str = "No error"; break;
  case E_OUTOFBOUNDS:
    str = "Index out of bounds"; break;
  case E_SYNTAX:
    str = "Syntax error"; break;
  case E_IO:
    str = "I/O error"; break;
  case E_NOORACLE:
    str = "Undefined oracle truth table"; break;
  default:
    str = "No error message given"; break;
  }
  s = str;
}
