/***************************************************************************
 *   QGame++                                                               *
 *   =======                                                               *
 *   A Quantum Gate And Measurement Emulator.                              *
 *                                                                         *
 *   Copyright (C) 2003/04 by Manuel Nickschas                             *
 *   <qgame-devel@nickschas.de>                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

/* This is a command line client for QGame++. This is more or less a
 * proof-of-concept sort of thing, which provides the basic functions
 * and not more. It is also (almost) not documented at this time, and
 * the documentation contained in the QGame++ package focuses on 
 * libqgame++ only, which is the main contents of the package rather than
 * this client.
 * If you wish further development of the client, or have any questions, 
 * please drop me a message.
 */
 
#ifndef _CLIENT_H_
#define _CLIENT_H_

#include <qgame++.h>

#include <string>

struct Settings {
  char *filename;
  bool execute;
  std::string oracleTT;
  int numQb;
  qgame::QubitList finalQb;
  std::vector<qgame::TestCase> cases;
  double threshold;
  Settings() { execute = false; filename = NULL; oracleTT = ""; numQb = -1; threshold = -1; }
};

int clientMain(int, char**);

void getOptions(int argc, char **argv, Settings &set);
void printUsage();
void printVersion();

void readSettings(Settings &, std::istream &);
void printSettings(const Settings &set);
qgame::QubitList getQubits(int num, std::istream &is) throw(qgame::Error);
bool argsOK(const Settings &set);

#endif
