/***************************************************************************
 *   QGame++                                                               *
 *   =======                                                               *
 *   A Quantum Gate And Measurement Emulator.                              *
 *                                                                         *
 *   Copyright (C) 2003/04 by Manuel Nickschas                             *
 *   <qgame-devel@nickschas.de>                                            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "qgame++.h"
#include "client.h"

#include <iostream>
#include <fstream>

using namespace std;
using namespace qgame;

/* This is a command line client for QGame++. This is more or less a
 * proof-of-concept sort of thing, which provides the basic functions
 * and not more. It is also (almost) not documented at this time, and
 * the documentation contained in the QGame++ package focuses on 
 * libqgame++ only, which is the main contents of the package rather than
 * this client. You may, however, use the client's code to see how the
 * interface to libqgame++ is used.
 * If you wish further development of the client, or have any questions, 
 * please drop me a message.
 */

int main(int argc, char** argv) {
  int result = clientMain(argc, argv);
#if 0
  try {
#if 0
    QProgram *prg = new QProgram;
    prg->readFromFile("/home/nickschas/devel/QGame++/grover.qcp");
    
    vector<TestCase> cases;
    cases.push_back(TestCase("1000",0));
    cases.push_back(TestCase("0100",2));
    cases.push_back(TestCase("0010",1));
    cases.push_back(TestCase("0001",3));
    QubitList finm;
    finm.append(1);
    finm.append(0);
    //QSys sys;
    //sys.execute(3, prg, "1000");
    Result res = QSys::testProgram(3, prg, cases, finm, 0.48);
    cerr << "\n" << *prg;
    cerr << "\n\n" << res;
    //cerr << "\n\n" << sys.getReg();
#endif    
    QProgram *prg2 = new QProgram;
    ifstream fin;
    fin.open("/home/nickschas/devel/QGame++/andor.qcp",ios::in);
    if(!fin.is_open()) throw(Error(E_IO));
    prg2->read(fin);
    fin.close();
    cerr << "\n\n\n" << *prg2;
    
    vector<TestCase> cases;
    cases.clear();
    cases.push_back(TestCase("0000",0));
    cases.push_back(TestCase("0001",0));
    cases.push_back(TestCase("0010",0));
    cases.push_back(TestCase("0011",0));
    cases.push_back(TestCase("0100",0));
    cases.push_back(TestCase("1000",0));
    cases.push_back(TestCase("1100",0));
    cases.push_back(TestCase("0101",1));
    cases.push_back(TestCase("0110",1));
    cases.push_back(TestCase("0111",1));
    cases.push_back(TestCase("1001",1));
    cases.push_back(TestCase("1010",1));
    cases.push_back(TestCase("1011",1));
    cases.push_back(TestCase("1101",1));
    cases.push_back(TestCase("1110",1));
    cases.push_back(TestCase("1111",1));
    
    QubitList finm2;
    finm2.append(2);
    //QSys sys2;
    Result res2 = QSys::testProgram(3, prg2, cases, finm2, 0.48);   
    cerr << "\n" << res2;
    
  }
  catch(Error e) {
    cerr << "\n" << e.s;
    cerr << "\nProgram aborted.";
  }
#endif
  cerr << "\n"<<flush;
  return result;
}
